#

API Docs for:
Show: Inherited Protected Private Deprecated

# StackedBarSeries Class

Defined in: `input/charts/StackedBarSeries.js:1`
Module: charts

The StackedBarSeries renders bar chart in which series are stacked horizontally to show their contribution to the cumulative total.

- Index
- Methods
- Attributes

## Item Index

### Methods

- _getPlotDefaults
- drawSeries
- updateMarkerState

### Attributes

- direction
- negativeBaseValues
- positiveBaseValues
- styles
- type

## Methods

### `_getPlotDefaults`

() protected

Defined in `input/charts/StackedBarSeries.js:237`

#### Returns:

Object

### `drawSeries`

() protected

Defined in `input/charts/StackedBarSeries.js:12`

### `updateMarkerState`

(

- `type`
- `i`

)
protected

Defined in `input/charts/StackedBarSeries.js:190`

#### Parameters:

- `type` String

  state of the marker

- `i` Number

  index of the marker

## Attributes

### `direction`

String

Defined in `input/charts/StackedBarSeries.js:287`

Direction of the series

Default: vertical

### `negativeBaseValues`

Array private

Defined in `input/charts/StackedBarSeries.js:298`

Default: null

### `positiveBaseValues`

Array private

Defined in `input/charts/StackedBarSeries.js:309`

Default: null

### `styles`

Object

Defined in `input/charts/StackedBarSeries.js:320`

Style properties used for drawing markers. This attribute is inherited from `BarSeries`. Below are the default values:

fill
  A hash containing the following values:
  color
    Color of the fill. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#66007f", "#a86f41", "#295454", "#996ab2", "#e8cdb7", "#90bdbd","#000000","#c3b8ca", "#968373", "#678585"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker fill. The default value is 1.
border
  A hash containing the following values:
  color
    Color of the border. The default value is determined by the order of the series on the graph. The color will be retrieved from the below array:
    `["#205096", "#b38206", "#000000", "#94001e", "#9d6fa0", "#e55b00", "#5e85c9", "#adab9e", "#6ac291", "#006457"]`
  alpha
    Number from 0 to 1 indicating the opacity of the marker border. The default value is 1.
  weight
    Number indicating the width of the border. The default value is 1.
height
  indicates the width of the marker. The default value is 24.
over
  hash containing styles for markers when highlighted by a `mouseover` event. The default values for each style is null. When an over style is not set, the non-over value will be used. For example, the default value for `marker.over.fill.color` is equivalent to `marker.fill.color`.

### `type`

String

Defined in `input/charts/StackedBarSeries.js:276`

Read-only attribute indicating the type of series.

Default: stackedBar